Subject: RE: Re the link draft...

From: Marie-Jose Montpetit <[email-masked]>
Date: Wed, 3 Nov 1999 14:57:36 -0800

I also think it is a good idea. My only reservation would be to make sure we
do not end up wasting too much bandwidth with multiple levels of correction.

Marie-Jose

> -----Original Message-----
> From: Phil Karn [mailto:[email-masked]]
> Sent: Wednesday, November 03, 1999 2:02 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: Re the link draft...
> 
> 
> >    The ltn draft points out (in Section 2.1) that 
> end-to-end checksums are
> >relatively weak.  Should the link draft recommend the use of 
> a strong CRC at
> >the link layer?  These relates to the FEC issue but is not 
> quite the same
> >thing...
> 
> I think that's a good idea. What does the group think?
> 
> I could write some text along these lines. Basically, the end-to-end
> principle notwithstanding, there's rarely much cost to putting strong
> error detection at the link layer. On most wired networks the error
> rates are so low it hardly matters whether you have a CRC, except for
> Ethernet, where the CRC is an intrinsic part of the collision
> resolution scheme.
> 
> On modern radio channels, the coding is usually strong enough that
> when a decoding error does occur the whole packet (or a good chunk of
> it) is damaged, so there's little reason to forward it just in case
> the application can tolerate some errors. So again there's little
> reason to not do a strong link layer CRC, even though it doesn't
> really fix the weak end-to-end TCP checksum.
> 
> Phil
> 
> 
>

---

From: "John Border" <[email-masked]>
Date: Wed, 3 Nov 1999 18:15:02 -0500

Marie-Jose,

    I think this is an issue of detection as opposed to correction (which is
why I say it is related to the FEC issue but not quite the same as the FEC
issue).  With some methods of FEC, I know that the FEC can detect errors beyond
what it can correct and, thus, the FEC mechanism can provide a CRC function.
 But, I don't know enough about FEC to know if all FEC mechanisms have this
property.  And, even if they do, there is always the question of how much
detection is provided beyond the correction.

    Your point is a good one, though.  There is some bandwidth cost associated
with providing error detection and it might be an addition to whatever is
provided for error correction.  This definately has to be taken into account...

								John

On Nov 3,  2:57pm, Marie-Jose Montpetit wrote:
> Subject: RE: Re the link draft...
>-- End of excerpt from Marie-Jose Montpetit